de.esprit.netsuite.server.chxfer

## Class FileStreamEntry

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.appsuite.launch.AbstractApplicationObject<S>
    - - de.esprit.netsuite.server.AbstractServerObject<ServerContext>
      - - de.esprit.netsuite.server.chxfer.FileStreamEntry

- All Implemented Interfaces:
    ApplicationObject<ServerContext>, SimpleLogSupport, Dumpable, ServerObject<ServerContext>

      public class FileStreamEntry
      extends AbstractServerObject<ServerContext>

  This class maintains a file transfer on the server during up/download. Note that it also synchronizes the commit procedure by ensuring that all jobs of a joblist actually have been completed.
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileStreamEntry(ServerContext serverContext, FileStreamJob job)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `awaitCompletion()`
    `boolean` | `cancel()`
    `boolean` | `equals(java.lang.Object o)`
    `FileStreamJob` | `getJob()`
    `JobId` | `getJobId()`
    `int` | `hashCode()`
    `void` | `setDone()` Marks the job as done and releases any waiters
    `void` | `setRunningTask(AsyncTask task)`
    `java.lang.String` | `toString()` Returns a single line String that shows the values of the most important state variables of this object.
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.

    - ### Methods inherited from class de.esprit.netsuite.server.AbstractServerObject

      `checkPermission, getServerConfig, getServerContext, getStatisticManager`

    - ### Methods inherited from class de.esprit.appsuite.launch.AbstractApplicationObject

      `getApplicationContext, getLogChannel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toDumpString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FileStreamEntry

          public FileStreamEntry(ServerContext serverContext,
                         FileStreamJob job)

  - ### Method Detail

    - #### getJob

          public FileStreamJob getJob()

    - #### getJobId

          public JobId getJobId()

    - #### setRunningTask

          public void setRunningTask(AsyncTask task)

    - #### cancel

          public boolean cancel()

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Description copied from interface: `Dumpable`
      Returns a single line String that shows the values of the most important state variables of this object. This is intentionally the same toString() method which is already provided by Object per se.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `DumpableObject`

    - #### awaitCompletion

          public void awaitCompletion()

    - #### setDone

          public void setDone()

      Marks the job as done and releases any waiters

    - #### toString

          public ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `AbstractServerObject<ServerContext>`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.